package com.bocloud.cmp.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 数据存储业务类
 *
 * @author wei wei
 * @version 1.0
 * @since 2016.12.29
 */
public class DataStoreBean {
    private Long id;
    private Long vendorId; // 云供应商ID
    private Date gmtExpired;// 过期时间
    private Long capacity;
    private Long freeSpace;
    private String type;
    private String path;
    private String name; // 名称
    private String remark; // 描述
    private Long catalogId; //存储服务目录id
    private BigDecimal distributableRatio; // 存储容量可分配百分比

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the vendorId
     */
    public Long getVendorId() {
        return vendorId;
    }

    /**
     * @param vendorId the vendorId to set
     */
    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    /**
     * @return the gmtExpired
     */
    public Date getGmtExpired() {
        return gmtExpired;
    }

    /**
     * @param gmtExpired the gmtExpired to set
     */
    public void setGmtExpired(Date gmtExpired) {
        this.gmtExpired = gmtExpired;
    }

    /**
     * @return the capacity
     */
    public Long getCapacity() {
        return capacity;
    }

    /**
     * @param capacity the capacity to set
     */
    public void setCapacity(Long capacity) {
        this.capacity = capacity;
    }

    /**
     * @return the freeSpace
     */
    public Long getFreeSpace() {
        return freeSpace;
    }

    /**
     * @param freeSpace the freeSpace to set
     */
    public void setFreeSpace(Long freeSpace) {
        this.freeSpace = freeSpace;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the path
     */
    public String getPath() {
        return path;
    }

    /**
     * @param path the path to set
     */
    public void setPath(String path) {
        this.path = path;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the remark
     */
    public String getRemark() {
        return remark;
    }

    /**
     * @param remark the remark to set
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getCatalogId() {
        return catalogId;
    }

    public void setCatalogId(Long catalogId) {
        this.catalogId = catalogId;
    }

    public BigDecimal getDistributableRatio() {
        return distributableRatio;
    }

    public void setDistributableRatio(BigDecimal distributableRatio) {
        this.distributableRatio = distributableRatio;
    }
}
